
ifdef Participants
SEATS = $(Participants)
else
SEATS = 5
endif

ifdef Target
$(Target):
endif

.PHONY: doc clean

frr: ROUTER = frr
frr: docker-compose.yml

clab: ROUTER = frr
clab: experiment.clab.yml

docker-compose.yml: create-docker-compose
	./create-docker-compose -n $(SEATS) -r $(ROUTER) -t docker
	sudo mkfifo -m 666 /var/run/exabgp.in /var/run/exabgp.out


experiment.clab.yml: create-docker-compose
	./create-docker-compose -n $(SEATS) -r $(ROUTER) -t clab
	sudo mkfifo -m 666 /var/run/exabgp.in /var/run/exabgp.out
	sudo ip link add upstreamA type bridge
	sudo ip link set dev upstreamA up
	sudo ip link add upstreamB type bridge
	sudo ip link set dev upstreamB up
	sudo ip link add peering type bridge
	sudo ip link set dev peering up
	sudo ip link add customer type bridge
	sudo ip link set dev customer up

doc:
	$(MAKE) -C doc

clean:
	-docker compose down
	-sudo clab destroy -c
	-rm -rf config
	-sudo ip link delete upstreamA
	-sudo ip link delete upstreamB
	-sudo ip link delete peering
	-sudo ip link delete customer
	-rm docker-compose.yml
	-rm exabgp.conf
	-rm experiment.clab.yml
	-rm ex-*
	-rm exabgp.conf
	-sudo rm /var/run/exabgp.in /var/run/exabgp.out
	-$(MAKE) -C doc clean
